<!-- 设备借用申请 -->
<script lang="ts" setup name="borrowApply">
import list from './components/applyList.vue'
import { getDictByCode } from '@/api/system/dict'
export interface menuType {
  name: string
  comp?: any
  id?: string
  value?: string
}
const menu = shallowRef<menuType[]>([
  { name: '全部', comp: list },
  { name: '草稿箱', comp: list },
  { name: '待审批', comp: list },
  { name: '审批中', comp: list },
  { name: '已通过', comp: list },
  { name: '未通过', comp: list },
  { name: '已取消', comp: list },
])
const current = ref('全部')
const currentComp = shallowRef(list)
const statusList = ref<menuType[]>([])
const type = ref('') // 当前状态的value
watch(current, async (newValue) => {
  currentComp.value = menu.value.filter(item => item.name === newValue)[0].comp
  if (statusList.value.length > 0) {
    type.value = statusList.value.filter(item => item.name === newValue)[0].value || ''
  }
  else {
    getDictByCode('approvalStatus').then((res) => {
      statusList.value = (res.data as menuType[])
      type.value = res.data.filter((item: menuType) => item.name === newValue)[0].value
    })
  }
}, {
  immediate: true,
  deep: true,
})
onUnmounted(() => {
  sessionStorage.setItem('deviceBorrowApply', current.value)
})
onMounted(() => {
  current.value = sessionStorage.getItem('deviceBorrowApply') || '全部'
  sessionStorage.getItem('deviceBorrowApply') ? sessionStorage.removeItem('deviceBorrowApply') : ''
})
</script>

<template>
  <div class="container">
    <div class="btns">
      <!-- 三级菜单 -->
      <el-radio-group v-model="current">
        <el-radio-button v-for="item in menu" :key="item.name" :label="item.name">
          {{ item.name }}
        </el-radio-button>
      </el-radio-group>
    </div>
    <!-- 展示区域 -->
    <component :is="currentComp" :name="current" :type="type" />
  </div>
</template>

<style lang="scss" scoped>
.container {
  position: relative;

  .btns {
    position: fixed;
    top: 67px;
    right: 15px;
    z-index: 999;
  }
}
</style>
